// VW-Drive function test program
// T. Braunl, UWA 2024
#include "eyebot.h"

void vw_check(int v, int w, char mes[])
{ LCDClear();
  LCDPrintf("%s", mes);
  VWSetSpeed(v,w);
  OSWait(4000); // 4 sec
}


int main()
{ 
  vw_check( 100, 0, "Straight forward");
  vw_check(-100, 0, "Straight back");

  vw_check( 0,  30, "Turn left");
  vw_check( 0, -30, "Turn right");

  vw_check(50,  20, "Curve left");
  vw_check(50, -20, "Curve right");

  VWSetSpeed(0,0); // stop
}
